Package org.mariadb.jdbc

# Enum BasePreparedStatement.BatchTypeState

java.lang.Object
java.lang.Enum<BasePreparedStatement.BatchTypeState>
org.mariadb.jdbc.BasePreparedStatement.BatchTypeState

All Implemented Interfaces:
  `Serializable`, `Comparable<BasePreparedStatement.BatchTypeState>`, `java.lang.constant.Constable`

Enclosing class:
  `BasePreparedStatement`

protected static enum BasePreparedStatement.BatchTypeState extends Enum<BasePreparedStatement.BatchTypeState>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Bulk`
`Normal`
`Rewrite`

## Method Summary

Modifier and Type
Method
Description
`static BasePreparedStatement.BatchTypeState`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static BasePreparedStatement.BatchTypeState[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Normal

public static final BasePreparedStatement.BatchTypeState Normal

### Bulk

public static final BasePreparedStatement.BatchTypeState Bulk

### Rewrite

public static final BasePreparedStatement.BatchTypeState Rewrite

## Method Details

### values

public static BasePreparedStatement.BatchTypeState[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static BasePreparedStatement.BatchTypeState valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null